V1.0

put

/ec-designer-svc/rest/v1.0/studies/{studyId}/versions/{version}/randomizations/{randomId}/ratios/adaptivecohort

Updates treatment arm ratios associated with adaptive cohorts in a randomization design.

Request

Path Parameters
Query Parameters
  • Randomization cohort/stratum grouping identifier (UUID, 32-character uppercase hexadecimal string). Optional.
    Example:
    7A4D3C2B1E8F4D56A23C9F3A0C7D4E22
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Show Source
Nested Schema : RqstCohortGroupingDto v1.0
Type: object
Title: RqstCohortGroupingDto v1.0
Cohort group details.
Show Source
Nested Schema : arms
Type: array
Show Source
Nested Schema : RatioGroupingArmDto v2.0
Type: object
Title: RatioGroupingArmDto v2.0
Treatment Arm ratio
Show Source
Nested Schema : mappedArms
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : RqstCohortGroupingDto v1.0
Type: object
Title: RqstCohortGroupingDto v1.0
Cohort group details.
Show Source
Nested Schema : arms
Type: array
Show Source
Nested Schema : RatioGroupingArmDto v2.0
Type: object
Title: RatioGroupingArmDto v2.0
Treatment Arm ratio
Show Source
Nested Schema : mappedArms
Type: array
Show Source
Examples

204 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : RqstCohortGroupingDto v1.0
Type: object
Title: RqstCohortGroupingDto v1.0
Cohort group details.
Show Source
Nested Schema : arms
Type: array
Show Source
Nested Schema : RatioGroupingArmDto v2.0
Type: object
Title: RatioGroupingArmDto v2.0
Treatment Arm ratio
Show Source
Nested Schema : mappedArms
Type: array
Show Source
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : details
Type: object
Back to Top